Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.identifier
Class IdentifierRule

    java.lang.Object
      org.apache.openjpa.lib.identifier.IdentifierRule

Direct Known Subclasses:
  DBIdentifierRule

    public class IdentifierRule

extends Object

The standard identifier rule. Rules are used for specific configuration of identifier types. For example. A rule could be used to indicate that an identifier type should not be delimited or has a max length of 255 characters.

Field Summary
`static String` | `DEFAULT_RULE`
`static Set<String>` | `EMPTY_SET`
`static char` | `UNDERSCORE`

Constructor Summary
`IdentifierRule()`

Method Summary
`boolean` | `getAllowCompaction()`
`boolean` | `getCanDelimit()`
`boolean` | `getDelimitReservedWords()`
`int` | `getMaxLength()`
`boolean` | `getMustDelimit()`
`String` | `getName()`
`Set<String>` | `getReservedWords()`
`String` | `getSpecialCharacters()`
`boolean` | `isAllowTruncation()`
`boolean` | `isMustBeginWithLetter()`
`boolean` | `isNullable()`
`boolean` | `isOnlyLettersDigitsUnderscores()`
`boolean` | `isReservedWord(String identifier)`
`boolean` | `requiresDelimiters(String identifier)` SQL identifier rules: 1) Can be up to 128 characters long 2) Must begin with a letter 3) Can contain letters, digits, and underscores 4) Can't contain spaces or special characters such as #, $, &, %, or punctuation.
`void` | `setAllowCompaction(boolean allowCompaction)`
`void` | `setAllowTruncation(boolean allowTruncation)`
`void` | `setCanDelimit(boolean canDelimit)`
`void` | `setDelimitReservedWords(boolean delimitReservedWords)`
`void` | `setMaxLength(int maxLength)`
`void` | `setMustBeginWithLetter(boolean mustBeginWithLetter)`
`void` | `setMustDelimit(boolean mustDelimit)`
`void` | `setName(String name)`
`void` | `setNullable(boolean nullable)`
`void` | `setOnlyLettersDigitsUnderscores(boolean onlyLettersDigitsUnderscores)`
`void` | `setReservedWords(Set<String> reservedWords)`
`void` | `setSpecialCharacters(String specialCharacters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_SET

    public static final Set<String> EMPTY_SET

### DEFAULT_RULE

    public static final String DEFAULT_RULE

See Also:
  Constant Field Values

### UNDERSCORE

    public static char UNDERSCORE

Constructor Detail

### IdentifierRule

    public IdentifierRule()

Method Detail

### setName

    public void setName(String name)

### getName

    public String getName()

### setMaxLength

    public void setMaxLength(int maxLength)

### getMaxLength

    public int getMaxLength()

### setAllowTruncation

    public void setAllowTruncation(boolean allowTruncation)

### isAllowTruncation

    public boolean isAllowTruncation()

### setNullable

    public void setNullable(boolean nullable)

### isNullable

    public boolean isNullable()

### setAllowCompaction

    public void setAllowCompaction(boolean allowCompaction)

### getAllowCompaction

    public boolean getAllowCompaction()

### setCanDelimit

    public void setCanDelimit(boolean canDelimit)

### getCanDelimit

    public boolean getCanDelimit()

### setMustDelimit

    public void setMustDelimit(boolean mustDelimit)

### getMustDelimit

    public boolean getMustDelimit()

### setMustBeginWithLetter

    public void setMustBeginWithLetter(boolean mustBeginWithLetter)

### isMustBeginWithLetter

    public boolean isMustBeginWithLetter()

### setOnlyLettersDigitsUnderscores

    public void setOnlyLettersDigitsUnderscores(boolean onlyLettersDigitsUnderscores)

### isOnlyLettersDigitsUnderscores

    public boolean isOnlyLettersDigitsUnderscores()

### setReservedWords

    public void setReservedWords(Set<String> reservedWords)

### getReservedWords

    public Set<String> getReservedWords()

### setSpecialCharacters

    public void setSpecialCharacters(String specialCharacters)

### getSpecialCharacters

    public String getSpecialCharacters()

### setDelimitReservedWords

    public void setDelimitReservedWords(boolean delimitReservedWords)

### getDelimitReservedWords

    public boolean getDelimitReservedWords()

### requiresDelimiters

    public boolean requiresDelimiters(String identifier)

  SQL identifier rules: 1) Can be up to 128 characters long 2) Must begin with a letter 3) Can contain letters, digits, and underscores 4) Can't contain spaces or special characters such as #, $, &, %, or punctuation. 5) Can't be reserved words

### isReservedWord

    public boolean isReservedWord(String identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.